S.M_Emamian S.M_Emamian - 3 months ago 34
Android Question

Failed to resolve: com.github.afollestad.material-dialogs:commons:0.8.5.8

I would like to use this library :

com.github.afollestad.material-dialogs:commons


but I got this message :

Error:(27, 13) Failed to resolve: com.github.afollestad.material-dialogs:commons:0.8.5.8
<a href="openFile:D:/Users/****/AndroidStudioProjects/****/build.gradle">Show in File</a><br><a href="open.dependency.in.project.structure">Show in Project Structure dialog</a>





dependencies {
...
compile('com.github.afollestad.material-dialogs:commons:0.8.5.8')
...

}


inside project's
build.gradle
:

allprojects {
repositories {
jcenter()
mavenCentral()
}
}

Answer

Try this in your build.gradle (project)

allprojects {
    repositories {
        ...
        maven { url "https://jitpack.io" }
    }
}

and in your build.gradle (app) try this:

dependencies {
    compile('com.github.afollestad.material-dialogs:commons:0.8.5.8@aar') {
    transitive = true
    }
}
Comments